import { OnModuleInit } from '@nestjs/common';
import { DiscoveryService, Reflector as CoreReflector } from '@nestjs/core';
export declare class PermissionsScannerService implements OnModuleInit {
    private readonly _discoveryService;
    private readonly _reflector;
    private readonly _permissions;
    constructor(_discoveryService: DiscoveryService, _reflector: CoreReflector);
    get permissions(): string[];
    onModuleInit(): Promise<void>;
}
